package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.WxMode;

import java.util.List;

/**
 * 模式列Mapper接口
 *
 * @author flossom
 * @date 2024-01-17
 */
public interface WxModeMapper
{
    /**
     * 查询模式列
     *
     * @param id 模式列主键
     * @return 模式列
     */
    public WxMode selectWxModeById(Long id);

    /**
     * 查询模式列列表
     *
     * @param wxMode 模式列
     * @return 模式列集合
     */
    public List<WxMode> selectWxModeList(WxMode wxMode);

    /**
     * 新增模式列
     *
     * @param wxMode 模式列
     * @return 结果
     */
    public int insertWxMode(WxMode wxMode);

    /**
     * 修改模式列
     *
     * @param wxMode 模式列
     * @return 结果
     */
    public int updateWxMode(WxMode wxMode);

    /**
     * 删除模式列
     *
     * @param id 模式列主键
     * @return 结果
     */
    public int deleteWxModeById(Long id);

    /**
     * 批量删除模式列
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxModeByIds(Long[] ids);

    List<WxMode> selectListByInstrumentId(Long instrumentId);
}
